# installs packer
#
class packer::install inherits packer::params {
    case $::osfamily {
        'RedHat' : {
            $filename = "packer_${packer::params::version}_linux_amd64.zip"

            archive { $filename:
                path         => "/tmp/${filename}",
                source       => "https://releases.hashicorp.com/packer/${packer::params::version}/packer_${packer::params::version}_linux_amd64.zip",
                extract      => true,
                extract_path => '/usr/bin',
                cleanup      => true
            }
        }
        default  : {
            fail("${::osfamily} unsupported")
        }
    }
}